#!/bin/bash

# This assumes no other servers are running.

./bin/control-server &
ctrlpid=$!

sleep 0.5s

./bin/anonymity-server -l :53330 &
s1pid=$!
./bin/anonymity-server -l :53331 &
s2pid=$!
./bin/anonymity-server -l :53332 &
s3pid=$!

sleep 0.5s

echo "http://mzero.org/s/dc/a.html" | ./bin/client &
c1pid=$!
./bin/client

wait $c1pid
kill $s1pid $s2pid $s3pid $ctrlpid
